/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * Copyright (c) 2010 Oracle and/or its affiliates. All rights reserved.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License.  You can
 * obtain a copy of the License at
 * https://glassfish.dev.java.net/public/CDDL+GPL_1_1.html
 * or packager/legal/LICENSE.txt.  See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * When distributing the software, include this License Header Notice in each
 * file and include the License file at packager/legal/LICENSE.txt.
 *
 * GPL Classpath Exception:
 * Oracle designates this particular file as subject to the "Classpath"
 * exception as provided by Oracle in the GPL Version 2 section of the License
 * file that accompanied this code.
 *
 * Modifications:
 * If applicable, add the following below the License Header, with the fields
 * enclosed by brackets [] replaced by your own identifying information:
 * "Portions Copyright [year] [name of copyright owner]"
 *
 * Contributor(s):
 * If you wish your version of this file to be governed by only the CDDL or
 * only the GPL Version 2, indicate your decision by adding "[Contributor]
 * elects to include this software in this distribution under the [CDDL or GPL
 * Version 2] license."  If you don't indicate a single choice of license, a
 * recipient has the option to distribute your version of this file under
 * either the CDDL, the GPL Version 2 or to extend the choice of license to
 * its licensees as provided above.  However, if you add GPL Version 2 code
 * and therefore, elected the GPL Version 2 license, then the option applies
 * only if the new code is made subject to such option by the copyright
 * holder.
 */


import org.glassfish.embeddable.Deployer;
import org.glassfish.embeddable.GlassFish;
import org.glassfish.embeddable.GlassFishRuntime;

import java.io.File;

/**
 * @author bhavanishankar@dev.java.net
 */

public class Test {


    public static void main(String... args) throws Exception {

        GlassFish glassfish = GlassFishRuntime.bootstrap().newGlassFish();
        glassfish.start();

        Deployer deployer = glassfish.getService(Deployer.class);
        String deployedApp = deployer.deploy(
                new File("glassfish_16230.ear").toURI(), "--force=true"); //Works fine
        deployer.undeploy(deployedApp);
        glassfish.stop();

//        System.out.println("Sleep for 5 seconds...");
//        Thread.currentThread().sleep(5000L);
        
        glassfish.start();
        deployer = glassfish.getService(Deployer.class);
        deployedApp = deployer.deploy(new File("glassfish_16230.ear").toURI(),
                "--force=true"); //Doesn't work (javax.ejb.EJBException: Attempt to invoke when container is in STOPPED)
        deployer.undeploy(deployedApp);
        glassfish.stop();
    }
}
